## riseup-vpn 0.21.11+ds

=== debian/changelog ===
riseup-vpn (0.21.11+ds-4) unstable; urgency=high

  * Add/Install .desktop for riseup-vpn
  * d/control:
    + Add depends also on qml-module-qtquick-controls
    (Closes: #1014742)
    + Fix VCS URLs (Closes: #1016166)
    + Change section to net (Closes: #1014798)
  * Skip test doing post http req (Closes: #1016310)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 03 Aug 2022 12:38:10 +0530

riseup-vpn (0.21.11+ds-3) unstable; urgency=medium

  * Source-only Upload.
  * d/salsa-ci.yml: Disable blhc and reprotest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Jul 2022 23:12:00 +0530

riseup-vpn (0.21.11+ds-2) unstable; urgency=medium

  * Also mention GPL-2+ for qml files

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Jul 2022 20:59:05 +0530

riseup-vpn (0.21.11+ds-1) unstable; urgency=medium

  * Initial release (Closes: #919937)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Jun 2022 21:15:30 +0530
