## riseup-vpn 0.21.11+ds1

=== debian/changelog ===
riseup-vpn (0.21.11+ds1-5+deb12u1) bookworm; urgency=medium

  * Add patch to fixup client verification problems with
    riseup-vpn which renders the package useless otherwise.
    At the moment, the current code is unable to identify the
    letsencrypt certs. Used a systempool for the same and create
    a newcertpool as a fallback. Also added a Depends in d/control
    for ca-certificates for the same reason.
    (Closes: #1070270)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 20:13:39 +0530

riseup-vpn (0.21.11+ds1-5) unstable; urgency=medium

  * Add procps, iproute2 and iptables to Depends (Closes: #1031905)
  * Add depends on pkexec as well

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Mar 2023 09:51:22 +0530

riseup-vpn (0.21.11+ds1-4) unstable; urgency=medium

  * Capitalize desktop name
  * Re-build with newer snowflake package

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Feb 2023 11:08:11 +0530

riseup-vpn (0.21.11+ds1-3) unstable; urgency=high

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add more polkit proc strings to get riseup-vpn working
    in more desktop environments (Closes: #1028201)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Feb 2023 08:39:24 +0530

riseup-vpn (0.21.11+ds1-2) unstable; urgency=medium

  * Add patch to fix riseup-vpn on non-EN locales
    (Closes: #1014923)
  * Add "Built-Using" to track go-based deps
  * Fix files with cme
    + Add description to patches
    + Add testsuite autopkgtest-pkg-go
    + Re-order fields properly

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 23:00:04 +0530

riseup-vpn (0.21.11+ds1-1) unstable; urgency=medium

  * Add d/gbp.conf
  * Repack snowflake, templexxx and agl/ed25519 libs, use
    the ones present in archive
  * d/rules: Prune out ds1 for correct version

 -- Nilesh Patra <nilesh@debian.org>  Mon, 29 Aug 2022 14:13:25 +0530
