=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: net
+Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-ed25519-dev,
                golang-github-protonmail-go-autostart-dev,
                golang-github-google-uuid-dev,
                golang-github-gopherjs-gopherjs-dev,
@@ -30,6 +32,7 @@
                golang-golang-x-tools-dev,
                golang-golang-x-xerrors-dev,
                golang-github-pion-webrtc.v3-dev,
+               golang-snowflake-dev,
                qt5-qmake,
                qttools5-dev-tools,
                qtbase5-dev,
@@ -38,7 +41,7 @@
                qtdeclarative5-dev,
                qtquickcontrols2-5-dev,
                libqt5svg5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
 Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
 Homepage: https://0xacab.org/leap/bitmask-vpn
@@ -49,6 +52,11 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ca-certificates,
+         iproute2,
+         iptables,
+         pkexec,
+         procps,
          python3:any,
          libqt5core5a,
          libqt5gui5 | libqt5gui5-gles,
@@ -62,6 +70,7 @@
          qml-module-qt-labs-platform,
          openvpn,
          policykit-1-gnome | polkit-1-auth-agent
+Built-Using: ${misc:Built-Using}
 Description: Easy, fast, and secure VPN service from riseup.net
  Riseup offers Personal VPN service for censorship circumvention,
  location anonymization and traffic encryption. To make this possible, it
