=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds//' -e 's/r/\./')
+VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+ds1//' -e 's/r/\./')
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
