## riseup-vpn 0.24.5+ds1

=== debian/changelog ===
riseup-vpn (0.24.5+ds1-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 12:42:50 +1000

riseup-vpn (0.24.5+ds1-2) unstable; urgency=medium

  * d/control: Bump minimum version of golang-go
  * Add Depends on libqt6svg6
  * Add Recommends on qt6-wayland

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 21:53:35 +0530

riseup-vpn (0.24.5+ds1-1) unstable; urgency=medium

  * New upstream version 0.24.5+ds1 (Rebase patches)
    Closes: #1070270
  * Exclude more vendored stuff, update copyrights
  * Update copyright, remove superfluous licenses
  * Update d/install to install helpers from non-symlinks
  * Update d/rules to
    + Use changed location of qmake and lrelease
    + Update PROVIDER and TARGET
    + Add some non-included files via DH_GOLANG_INSTALL_EXTRA
  * Update builddeps and Depends to qt6 variants.
  * Take up upstream patch to fixup package with qt 6.4
  * Add qml6-module-qt5compat-graphicaleffects to depends

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 May 2024 19:17:51 +0530

riseup-vpn (0.21.11+ds1-5.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Matthias Klose ]
  * Drop hard-coded dependencies on shared libraries, ${shlibs:Depends}
    is working these days. (Closes: #1068433)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 22:46:43 +0200
