=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: riseup-vpn
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.20~),
                golang-ed25519-dev,
                golang-github-protonmail-go-autostart-dev,
                golang-github-google-uuid-dev,
@@ -21,6 +22,7 @@
                golang-github-smartystreets-assertions-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-sevlyar-go-daemon-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-tjfoc-gmsm-dev,
                golang-github-xtaci-kcp-dev,
                golang-github-xtaci-smux-dev,
@@ -32,15 +34,17 @@
                golang-golang-x-tools-dev,
                golang-golang-x-xerrors-dev,
                golang-github-pion-webrtc.v3-dev,
+               golang-gitlab-yawning-edwards25519-extra-dev,
                golang-snowflake-dev,
-               qt5-qmake,
-               qttools5-dev-tools,
-               qtbase5-dev,
-               libqt5qml5,
-               libqt5quick5,
-               qtdeclarative5-dev,
-               qtquickcontrols2-5-dev,
-               libqt5svg5-dev
+               qmake6,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-declarative-dev-tools,
+               libqt6quickcontrols2-6,
+               qt6-svg-dev,
+               qt6-l10n-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
 Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
@@ -58,19 +62,21 @@
          pkexec,
          procps,
          python3:any,
-         libqt5core5a,
-         libqt5gui5 | libqt5gui5-gles,
-         libqt5qml5,
-         libqt5widgets5,
-         qml-module-qtquick2,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-controls,
-         qml-module-qtquick-dialogs,
-         qml-module-qtquick-extras,
-         qml-module-qt-labs-platform,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
+         qml6-module-qtquick-layouts,
+         qml6-module-qtqml-workerscript,
+         qml6-module-qtquick-templates,
+         qml6-module-qtquick-window,
+         qml6-module-qt-labs-settings,
+         qml6-module-qt-labs-platform,
+         qml6-module-qt5compat-graphicaleffects,
+         libqt6svg6,
          openvpn,
          policykit-1-gnome | polkit-1-auth-agent
 Built-Using: ${misc:Built-Using}
+Recommends: qt6-wayland
 Description: Easy, fast, and secure VPN service from riseup.net
  Riseup offers Personal VPN service for censorship circumvention,
  location anonymization and traffic encryption. To make this possible, it
