## riseup-vpn 0.24.8+ds2

=== debian/changelog ===
riseup-vpn (0.24.8+ds2-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * Drop no longer used Build-Depends on golang-ed25519-dev.

  [ Nilesh Patra ]
  * Update minimum version of rs-zerolog

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 09:36:09 +0100

riseup-vpn (0.24.8+ds2-1) unstable; urgency=medium

  * New upstream version 0.24.8+ds2
  * Also generate the json as per providers
  * Exclude/Repack more packages
  * Update patches
  * Do not clean a needed file
  * Ignore integration tests during build
  * Drop QT6.4 patch
    + Drop dep on qt5 libs, move to qml6-module-qtquick-effects

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Aug 2024 00:09:44 +0530
