=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This has to be exported to make some magic below work.
export DH_OPTIONS
export GO111MODULE=on
export GOCACHE=/tmp/gocache

export DH_GOPKG = 0xacab.org/leap/bitmask-vpn
export DH_GOLANG_EXCLUDES := vendor packages tools cmd/bitmask-helper cmd/bitmask-connect

export PATH := $(shell qmake6 -query "QT_INSTALL_BINS"):$(PATH)

export PROVIDER=riseup
export VENDOR_PATH=providers

#dh_golang doesn't do this for you

ifeq ($(DEB_HOST_ARCH), i386)
        export GOARCH := 386
else ifeq ($(DEB_HOST_ARCH), amd64)
        export GOARCH := amd64
else ifeq ($(DEB_HOST_ARCH), armhf)
        export GOARCH := arm
else ifeq ($(DEB_HOST_ARCH), arm64)
        export GOARCH := arm64
endif


# TODO get the static version that gen_pkg generated instead??
VERSION = debian-$(shell git describe --tags --always)
APPNAME = riseup-vpn

%:
	dh $@ --with golang --buildsystem golang

override_dh_auto_test:

override_dh_auto_build:
	make gen_providers_json
	make build

override_dh_install:
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/bin
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/sbin
	cp $(CURDIR)/pkg/pickle/helpers/bitmask-root $(CURDIR)/debian/${APPNAME}/usr/sbin/
	mkdir -p $(CURDIR)/debian/${APPNAME}/usr/share/polkit-1/actions
	cp $(CURDIR)/helpers/se.leap.bitmask.policy $(CURDIR)/debian/${APPNAME}/usr/share/polkit-1/actions
	cp build/qt/release/${APPNAME} $(CURDIR)/debian/${APPNAME}/usr/bin/${APPNAME}
	strip $(CURDIR)/debian/${APPNAME}/usr/bin/${APPNAME}
	dh_install

override_dh_dwz:
	echo "skipping dh_dwz"
