## riseup-vpn 0.24.10%2Bds1

=== debian/control ===
Source: riseup-vpn
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.20~),
               golang-github-lucas-clemente-quic-go-dev (>= 0.46.0-2~),
               golang-github-coreos-bbolt-dev,
               golang-github-cretz-bine-dev,
               golang-github-go-openapi-errors-dev,
               golang-github-go-openapi-runtime-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-google-uuid-dev,
               golang-github-gopherjs-gopherjs-dev,
               golang-github-jtolds-gls-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-cpuid-dev,
               golang-github-klauspost-reedsolomon-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mmcloughlin-avo-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-pion-webrtc.v3-dev,
               golang-github-pion-stun-dev (>= 0.6.1-1~),
               golang-github-pkg-errors-dev,
               golang-github-prometheus-community-pro-bing-dev,
               golang-github-protonmail-go-autostart-dev,
               golang-github-rakyll-statik-dev,
               golang-github-rs-zerolog-dev (>= 1.29.1-1~),
               golang-github-sevlyar-go-daemon-dev,
               golang-github-smartystreets-assertions-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tjfoc-gmsm-dev,
               golang-github-xtaci-kcp-dev,
               golang-github-xtaci-smux-dev,
               golang-gitlab-yawning-edwards25519-extra-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-xerrors-dev,
               golang-goptlib-dev,
               golang-snowflake-dev,
               libqt6quickcontrols2-6,
               qmake6,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-dev-tools,
               qt6-l10n-tools,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/riseup-vpn
Vcs-Git: https://salsa.debian.org/go-team/packages/riseup-vpn.git
Homepage: https://0xacab.org/leap/bitmask-vpn
Rules-Requires-Root: no
XS-Go-Import-Path: 0xacab.org/leap/bitmask-vpn

Package: riseup-vpn
Architecture: any
Depends: ca-certificates,
         iproute2,
         iptables,
         libqt6svg6,
         openvpn,
         pkexec,
         policykit-1-gnome | polkit-1-auth-agent,
         procps,
         python3:any,
         qml6-module-qtcore,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-effects,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: qt6-wayland
Description: Easy, fast, and secure VPN service from riseup.net
 Riseup offers Personal VPN service for censorship circumvention,
 location anonymization and traffic encryption. To make this possible, it
 sends all user's internet traffic through an encrypted connection to
 riseup.net, where it then goes out onto the public internet.
